Loading...
Searching...
No Matches
unity::shell::notifications::NotificationInterface Class Reference

A Notification object. More...

`#include <unity/shell/notifications/NotificationInterface.h>`

Inheritance diagram for unity::shell::notifications::NotificationInterface:
[legend]
Collaboration diagram for unity::shell::notifications::NotificationInterface:
[legend]

## Signals

void | hovered (bool hovered)
void | displayed (bool displayed)
void | dismissed ()
void | actionInvoked (const QString &id)

## Detailed Description

A Notification object.

This class exposes signals used by the UI to communicate the state of a notification.

## Member Function Documentation

## actionInvoked

void unity::shell::notifications::NotificationInterface::actionInvoked | ( | const QString & | id | ) |

signal

Will be called whenever an action of this notification is to be invoked.

Parameters

  id | Id of the invoked action.

## dismissed

void unity::shell::notifications::NotificationInterface::dismissed | ( |  | ) |

signal

Will be called whenever the notification was dismissed. This can be called internally by the notification implementation (e.g. timeout) or from the UI when the user dismisses a notification.

## displayed

void unity::shell::notifications::NotificationInterface::displayed | ( | bool | displayed | ) |

signal

Will be called whenever the display status of a notification changes.

Parameters

  displayed | Visible/hidden status of this notification.

## hovered

void unity::shell::notifications::NotificationInterface::hovered | ( | bool | hovered | ) |

signal

Will be called whenever the mouse hover status of a notification changes.

Parameters

  hovered | Mouse hover status of this notification.

The documentation for this class was generated from the following file:

- include/unity/shell/notifications/NotificationInterface.h